cURL
curl --request GET \
--url https://api.gptmaker.ai/v2/workspace/{workspaceId}/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gptmaker.ai/v2/workspace/{workspaceId}/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gptmaker.ai/v2/workspace/{workspaceId}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"behavior": "<string>",
"avatar": "<string>",
"communicationType": "FORMAL",
"type": "SUPPORT",
"jobName": "<string>",
"jobSite": "<string>",
"jobDescription": "<string>"
}
]{
"error": "<string>"
}{
"error": "<string>"
}Agentes
Lista agentes
Lista os agentes disponíveis nesse workspace
GET
/
v2
/
workspace
/
{workspaceId}
/
agents
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do workspace
Query Parameters
Número da página
Tamanho da página
Filtro pelo nome do agente
Response
Lista de agentes
ID do agente
Nome do agente
Comportamento do agente
URL de um avatar para o agente
Tipo de comunicação
Available options:
FORMAL, NORMAL, RELAXED Objetivo do agente
Available options:
SUPPORT, SALE, PERSONAL Nome da empresa ou produto que o agente vai trabalhar
Site da empresa
Descrição sobre a empresa

